// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 48;
	objects = {

/* Begin PBXBuildFile section */
		626082AA1FDB3F8A006305E7 /* libNativeCallMatrix.a in CopyFiles */ = {isa = PBXBuildFile; fileRef = 6260829B1FDB3D16006305E7 /* libNativeCallMatrix.a */; };
		626082AE1FDC01F6006305E7 /* BoolMethod.mm in Sources */ = {isa = PBXBuildFile; fileRef = 626082AD1FDC01F6006305E7 /* BoolMethod.mm */; };
		62DB65861FDC0B12000F34DC /* DataStructMethod.mm in Sources */ = {isa = PBXBuildFile; fileRef = 62DB65851FDC0B12000F34DC /* DataStructMethod.mm */; };
		62DB65881FDC0B2B000F34DC /* FloatMethod.mm in Sources */ = {isa = PBXBuildFile; fileRef = 62DB65871FDC0B2B000F34DC /* FloatMethod.mm */; };
		62DB658A1FDC0B37000F34DC /* IntMethod.mm in Sources */ = {isa = PBXBuildFile; fileRef = 62DB65891FDC0B37000F34DC /* IntMethod.mm */; };
		62DB658C1FDC0B41000F34DC /* IntArrayMethod.mm in Sources */ = {isa = PBXBuildFile; fileRef = 62DB658B1FDC0B41000F34DC /* IntArrayMethod.mm */; };
		62DB658E1FDC0B60000F34DC /* StringMethod.mm in Sources */ = {isa = PBXBuildFile; fileRef = 62DB658D1FDC0B60000F34DC /* StringMethod.mm */; };
/* End PBXBuildFile section */

/* Begin PBXCopyFilesBuildPhase section */
		626082991FDB3D16006305E7 /* CopyFiles */ = {
			isa = PBXCopyFilesBuildPhase;
			buildActionMask = 2147483647;
			dstPath = "include/$(PRODUCT_NAME)";
			dstSubfolderSpec = 16;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		626082A91FDB3F6D006305E7 /* CopyFiles */ = {
			isa = PBXCopyFilesBuildPhase;
			buildActionMask = 2147483647;
			dstPath = "${PROJECT_DIR}/../../Unity/Assets/iOS";
			dstSubfolderSpec = 0;
			files = (
				626082AA1FDB3F8A006305E7 /* libNativeCallMatrix.a in CopyFiles */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXCopyFilesBuildPhase section */

/* Begin PBXFileReference section */
		6260829B1FDB3D16006305E7 /* libNativeCallMatrix.a */ = {isa = PBXFileReference; explicitFileType = archive.ar; includeInIndex = 0; path = libNativeCallMatrix.a; sourceTree = BUILT_PRODUCTS_DIR; };
		626082AD1FDC01F6006305E7 /* BoolMethod.mm */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.cpp.objcpp; path = BoolMethod.mm; sourceTree = "<group>"; };
		62DB65851FDC0B12000F34DC /* DataStructMethod.mm */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.cpp.objcpp; path = DataStructMethod.mm; sourceTree = "<group>"; };
		62DB65871FDC0B2B000F34DC /* FloatMethod.mm */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.cpp.objcpp; path = FloatMethod.mm; sourceTree = "<group>"; };
		62DB65891FDC0B37000F34DC /* IntMethod.mm */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.cpp.objcpp; path = IntMethod.mm; sourceTree = "<group>"; };
		62DB658B1FDC0B41000F34DC /* IntArrayMethod.mm */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.cpp.objcpp; path = IntArrayMethod.mm; sourceTree = "<group>"; };
		62DB658D1FDC0B60000F34DC /* StringMethod.mm */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.cpp.objcpp; path = StringMethod.mm; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		626082981FDB3D16006305E7 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		626082921FDB3D16006305E7 = {
			isa = PBXGroup;
			children = (
				6260829D1FDB3D16006305E7 /* NativeCallMatrix */,
				6260829C1FDB3D16006305E7 /* Products */,
			);
			sourceTree = "<group>";
		};
		6260829C1FDB3D16006305E7 /* Products */ = {
			isa = PBXGroup;
			children = (
				6260829B1FDB3D16006305E7 /* libNativeCallMatrix.a */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		6260829D1FDB3D16006305E7 /* NativeCallMatrix */ = {
			isa = PBXGroup;
			children = (
				626082AD1FDC01F6006305E7 /* BoolMethod.mm */,
				62DB65851FDC0B12000F34DC /* DataStructMethod.mm */,
				62DB65871FDC0B2B000F34DC /* FloatMethod.mm */,
				62DB65891FDC0B37000F34DC /* IntMethod.mm */,
				62DB658B1FDC0B41000F34DC /* IntArrayMethod.mm */,
				62DB658D1FDC0B60000F34DC /* StringMethod.mm */,
			);
			path = NativeCallMatrix;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		6260829A1FDB3D16006305E7 /* NativeCallMatrix */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 626082A41FDB3D16006305E7 /* Build configuration list for PBXNativeTarget "NativeCallMatrix" */;
			buildPhases = (
				626082971FDB3D16006305E7 /* Sources */,
				626082981FDB3D16006305E7 /* Frameworks */,
				626082991FDB3D16006305E7 /* CopyFiles */,
				626082A91FDB3F6D006305E7 /* CopyFiles */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = NativeCallMatrix;
			productName = NativeCallMatrix;
			productReference = 6260829B1FDB3D16006305E7 /* libNativeCallMatrix.a */;
			productType = "com.apple.product-type.library.static";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		626082931FDB3D16006305E7 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastUpgradeCheck = 0910;
				ORGANIZATIONNAME = RobinRyf;
				TargetAttributes = {
					6260829A1FDB3D16006305E7 = {
						CreatedOnToolsVersion = 9.1;
						ProvisioningStyle = Automatic;
					};
				};
			};
			buildConfigurationList = 626082961FDB3D16006305E7 /* Build configuration list for PBXProject "NativeCallMatrix" */;
			compatibilityVersion = "Xcode 8.0";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
			);
			mainGroup = 626082921FDB3D16006305E7;
			productRefGroup = 6260829C1FDB3D16006305E7 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				6260829A1FDB3D16006305E7 /* NativeCallMatrix */,
			);
		};
/* End PBXProject section */

/* Begin PBXSourcesBuildPhase section */
		626082971FDB3D16006305E7 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				626082AE1FDC01F6006305E7 /* BoolMethod.mm in Sources */,
				62DB65861FDC0B12000F34DC /* DataStructMethod.mm in Sources */,
				62DB658A1FDC0B37000F34DC /* IntMethod.mm in Sources */,
				62DB658E1FDC0B60000F34DC /* StringMethod.mm in Sources */,
				62DB658C1FDC0B41000F34DC /* IntArrayMethod.mm in Sources */,
				62DB65881FDC0B2B000F34DC /* FloatMethod.mm in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin XCBuildConfiguration section */
		626082A21FDB3D16006305E7 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 11.1;
				MTL_ENABLE_DEBUG_INFO = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
			};
			name = Debug;
		};
		626082A31FDB3D16006305E7 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 11.1;
				MTL_ENABLE_DEBUG_INFO = NO;
				SDKROOT = iphoneos;
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		626082A51FDB3D16006305E7 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				CODE_SIGN_STYLE = Automatic;
				OTHER_LDFLAGS = "-ObjC";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SKIP_INSTALL = YES;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		626082A61FDB3D16006305E7 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				CODE_SIGN_STYLE = Automatic;
				OTHER_LDFLAGS = "-ObjC";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SKIP_INSTALL = YES;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		626082961FDB3D16006305E7 /* Build configuration list for PBXProject "NativeCallMatrix" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				626082A21FDB3D16006305E7 /* Debug */,
				626082A31FDB3D16006305E7 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		626082A41FDB3D16006305E7 /* Build configuration list for PBXNativeTarget "NativeCallMatrix" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				626082A51FDB3D16006305E7 /* Debug */,
				626082A61FDB3D16006305E7 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 626082931FDB3D16006305E7 /* Project object */;
}
